## cproto 4.7y

=== emx/Makefile ===
# $Id: Makefile,v 4.3 1998/01/22 19:49:36 cthuang Exp $
#
# EMX makefile for C prototype generator

PROGRAM = cproto
DEFINES =
INCLUDES = -I..

LEX = lex
YACC = yacc
CC = gcc
CFLAGS = $(DEFINES) $(INCLUDES)
LIBS =

VPATH = ..

O = .o
OBJECTS = \
	cproto$(O) \
	lintlibs$(O) \
	semantic$(O) \
	strkey$(O) \
	symbol$(O) \
	y_tab$(O)

all: cproto.exe

cproto.exe: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LIBS)

cproto.man: cproto.1
	cawf -man $*.1 | bsfilt - >$*.man

clean:
	-del $(PROGRAM).exe
	-del *$(O)
	-del *.bak
	-del *.log

# DO NOT DELETE THIS LINE -- make depend depends on it.

cproto.o: system.h cproto.h symbol.h
lintlibs.o: system.h cproto.h symbol.h semantic.h
semantic.o: system.h cproto.h symbol.h semantic.h
strkey.o: cproto.h system.h
symbol.o: system.h cproto.h symbol.h
y_tab.o: lex_yy.c system.h cproto.h symbol.h semantic.h

## cproto 4.7i

=== debian/changelog ===
cproto (4.7i-1) unstable; urgency=low

  * New upstream release.
    - Release incorporates manpage.patch, so it has been removed.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 21 Jul 2010 10:28:47 -0500

cproto (4.7h-5) unstable; urgency=low

  * Fix warnings from the Full Lintian Report in the PTS.
    - Properly escape "-" in cproto.1 (in manpages.patch)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jul 2010 19:23:35 -0500

cproto (4.7h-4) unstable; urgency=low

  * Add support for DEB_BUILD_OPTIONS (nocheck) in debian/rules.
  * Take $(CFLAGS) as passed to debian/rules and provide to ./configure.
  * Use autoconf properly, as described in autotools-dev/README.Debian.gz.
    - Add new Build-Depends on autotools-dev, as source for config.sub|guess
    - Replace config.sub|guess at build, per autotools-dev instructions
    - Add new CONFFLAGS configuration based on build and host type
    - Always remove config.cache before running ./configure

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 03 Jul 2010 01:16:01 +0000

cproto (4.7h-3) unstable; urgency=low

  * Tweak short description to better match official recommendations.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)" by adding debian/source/format

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:22:56 -0500

cproto (4.7h-2) unstable; urgency=low

  * Fix warnings/problems indicated on package tracking page.
    - Add ${misc:Depends} for all binary packages

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2010 18:57:51 +0000

cproto (4.7h-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 18 Sep 2009 09:40:27 -0500

cproto (4.7g-2) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:12:47 -0500

cproto (4.7g-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Nov 2008 10:55:53 -0600

cproto (4.7f-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch to reflect new upstream version.
  * Bumped Standards-Version to 3.7.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  1 Jan 2008 18:50:20 -0600

cproto (4.7e-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri,  9 Dec 2005 10:25:50 -0600

cproto (4.7d-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.6.2 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 21 Aug 2005 18:54:32 -0500

cproto (4.7c-1) unstable; urgency=low

  * New upstream release.
    - Includes equivalent of patch as used to close #228801 (see below).
    - Supports -X option to filter out unwanted definitions (closes: #235824).
  * Now configure using --enable-llib option, so we don't need lint installed.
  * Added gcc to Depends: line since -X option requires GCC to work; I assume
    most users will already have gcc installed anyway, if they are developers.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 30 Mar 2004 19:58:33 -0600

cproto (4.7a-2) unstable; urgency=low

  * Added 'make check' to debian/rules.
  * Added new -i option to support inline function prototypes (closes: #228801).
    Patch submitted upstream; will probably be accepted for a future release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Feb 2004 15:02:46 -0600

cproto (4.7a-1) unstable; urgency=low

  * New maintainer (closes: #186596).
  * New upstream release.
    - Upstream fixes to cproto.c (closes: #175862).
    - Upstream fixes to cproto.h to match NMU for bug #166140.
  * Updated debian/copyright to reflect new maintainer.
  * Updated debian/control file to reflect new maintainer.
  * Changed standards-version to 3.5.9 in debian/control.
  * Updated debhelper depends to (>= 4.0.2) in debian/control.
  * Removed emacs-specific directives from debian/changelog.
  * Removed debian/docs file, since it only had one thing in it.
  * Added debian/compat file at compatibility level 4.
  * Cleaned up debian/rules file.
  * Added debian/watch file.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat,  5 Apr 2003 13:35:42 -0600

cproto (4.6d-1.1) unstable; urgency=low

  * NMU (Bug squashing party)
  * Fix bison breakage (closes: #166140)

 -- Lukas Geyer <lukas@debian.org>  Sat, 15 Mar 2003 00:35:43 +0000

cproto (4.6d-1) unstable; urgency=low

  * New upstream version
  * Fix Build-Depends (closes: Bug#69854)

 -- Carsten Leonhardt <leo@debian.org>  Sat,  2 Sep 2000 21:14:55 +0200

cproto (4.6c-1) unstable; urgency=low

  * This packages a newer version of cproto, from its other
    maintainer.

 -- Carsten Leonhardt <leo@debian.org>  Wed,  9 Aug 2000 00:09:48 +0200

cproto (4.6-1) unstable; urgency=low

  * Initial release.
  * Include a patch from Stormix to ignore two GNU C extensions

 -- Carsten Leonhardt <leo@debian.org>  Thu, 13 Jul 2000 00:18:16 +0200

=== debian/control ===
Source: cproto
Section: devel
Priority: optional
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: http://cproto.sourceforge.net/
Build-Depends: debhelper (>= 7.0.1), bison, flex, autotools-dev
Standards-Version: 3.9.0.0

Package: cproto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc
Description: utilities to generate C function prototypes from C source code
 Cproto is a program that generates function prototypes and variable
 declarations from C source code.  It can also convert function
 definitions between the old style and the ANSI C style.  This
 conversion overwrites the original files, so make a backup copy of
 your files in case something goes wrong.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Per /usr/share/doc/autotools-dev/README.Debian.gz
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

binary: binary-arch 

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs CHANGES
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/cproto/usr

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
	touch build-stamp

configure: configure-stamp
configure-stamp: 
	dh_testdir
	cp /usr/share/misc/config.sub .     # per autotools-dev/README.Debian.gz
	cp /usr/share/misc/config.guess .   # per autotools-dev/README.Debian.gz
	rm -f config.cache
	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS) \
               --prefix=/usr --enable-llib \
               --mandir=\$${prefix}/share/man
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	-if [ -e Makefile ]; then $(MAKE) -i distclean; fi
	rm -f build-stamp configure-stamp
	dh_clean

.PHONY: binary binary-arch binary-indep install build configure clean

## cproto 4.7j

=== debian/changelog ===
cproto (4.7j-5) unstable; urgency=low

  * Fix FTBFS by rearranging debian/rules slightly (closes: #666342).
    - Move configure from build to build-stamp, so it's run consistently.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 31 Mar 2012 21:42:14 +0000

cproto (4.7j-4) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Support compile-time hardening to meet the release goal for wheezy.
    - Move to debhelper (>= 9) and debian/compat=9
    - Use dpkg-buildflags rather than importing buildflags.mk in debian/rules
    - Add Build-Depends on dpkg-dev (>= 1.16.1), for dpkg-buildflags

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:06:01 -0500

cproto (4.7j-3) unstable; urgency=low

  * Handle changes to build flag behavior introduced with dpkg-dev 1.16.1.
    - Modify debian/rules to set DPKG_EXPORT_BUILDFLAGS=1 and call buildflags.mk

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Sep 2011 12:16:49 -0500

cproto (4.7j-2) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Aug 2011 15:43:08 -0500

cproto (4.7j-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Jan 2011 11:21:20 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cproto.sourceforge.net/
-Build-Depends: debhelper (>= 7.0.1), bison, flex, autotools-dev
-Standards-Version: 3.9.0.0
+Build-Depends: debhelper (>= 9), bison, flex, autotools-dev, dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3.0
 
 Package: cproto
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 
+# Support cross-compiling, per /usr/share/doc/autotools-dev/README.Debian.gz
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-# Per /usr/share/doc/autotools-dev/README.Debian.gz
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
 else
@@ -34,8 +33,10 @@
 	dh_installdirs
 	$(MAKE) install prefix=$(CURDIR)/debian/cproto/usr
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure
 	dh_testdir
 	$(MAKE)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -49,7 +50,7 @@
 	cp /usr/share/misc/config.sub .     # per autotools-dev/README.Debian.gz
 	cp /usr/share/misc/config.guess .   # per autotools-dev/README.Debian.gz
 	rm -f config.cache
-	./configure CFLAGS="$(CFLAGS)" $(CONFFLAGS) \
+	$(shell dpkg-buildflags --export=configure) ./configure $(CONFFLAGS) \
                --prefix=/usr --enable-llib \
                --mandir=\$${prefix}/share/man
 	touch configure-stamp

## cproto 4.7k

=== debian/changelog ===
cproto (4.7k-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 27 Oct 2013 14:35:07 +0000

cproto (4.7j-7) unstable; urgency=low

  * Convert debian/rules to debhelper7, overriding just a few standard targets.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 15:32:18 +0000

cproto (4.7j-6) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.
  * Fix buildd log scanner W-build-stamp-in-binary warning in debian/rules.
    - Get rid of configure target (causes problems because ./configure exists)
  * Make other minor tweaks in debian/rules for consistency.
    - Add new .PHONY targets for all rules that don't create files
    - Change binary to depend on both binary-arch and binary-indep
    - Change binary-arch to depend on install, not build and install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 19:51:42 +0000

## cproto 4.7l

=== debian/changelog ===
cproto (4.7l-2) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:38:49 -0600

cproto (4.7l-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 02 Jan 2014 02:17:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cproto.sourceforge.net/
 Build-Depends: debhelper (>= 9), bison, flex, autotools-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.5.0
 
 Package: cproto
 Architecture: any

=== debian/watch ===
version=2
ftp://dickey.his.com/cproto/cproto-(.*)\.tgz

## cproto 4.7m

=== debian/changelog ===
cproto (4.7m-7) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:27:10 +0000

cproto (4.7m-6) unstable; urgency=medium

  * Bump standards version to 4.1.1.0 (no packaging changes).
  * Fix Lintian warnings.
    - Add Lintian override for debian-watch-uses-insecure-uri
    - Remove "Testsuite: autopkgtest" from debian/control
    - Remove deprecated "--with autotools_dev" from Debian rules

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 21:16:54 +0000

cproto (4.7m-5) unstable; urgency=medium

  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:18:40 +0000

cproto (4.7m-4) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Export "DEB_BUILD_MAINT_OPTIONS = hardening=+all" in debian/rules.
  * Fix FTBFS in the Debian Reproducible Builds environment.
    - FTBFS caused by mis-use of the $CPROTO environment variable
    - Add patches/program.patch to use $PROGRAM rather than $CPROTO
    - Adjust debian/tests/unittest to use $PROGRAM rather than $CPROTO

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jun 2016 13:08:16 -0500

cproto (4.7m-3) unstable; urgency=medium

  * Remove obsolete debian/patches/manpage.patch that was not referenced.
  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Update debian/rules to run smoke tests via debian/smoketest

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 16:57:58 -0500

cproto (4.7m-2) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:53:14 -0500

cproto (4.7m-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Jul 2015 15:09:26 +0000

cproto (4.7l-4) unstable; urgency=medium

  * Fix functional regression vs. 4.7j-5 in wheezy (closes: #784719).
    - Modify debian/rules to put back --enable-llib configure option, by adding
      override_dh_auto_configure.  This option was accidentally lost in version
      4.7j-7 while converting to debhelper 7.  This disabled the -X command
      line option in the cproto program, a regression vs. wheezy.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 08 May 2015 21:23:58 +0000

cproto (4.7l-3) unstable; urgency=medium

  * Fix various minor Lintian warnings in debian/copyright.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 19:42:20 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cproto.sourceforge.net/
 Build-Depends: debhelper (>= 9), bison, flex, autotools-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.5.0
+Standards-Version: 4.1.3.0
+Vcs-Browser: https://salsa.debian.org/debian/cproto
+Vcs-Git: https://salsa.debian.org/debian/cproto.git
 
 Package: cproto
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

# Enable all hardening-related compiler options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installdocs:
	dh_installdocs README

override_dh_auto_configure:
	dh_auto_configure -- --enable-llib

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sh debian/smoketest
endif

## cproto 4.7n

=== debian/changelog ===
cproto (4.7n-1) unstable; urgency=medium

  * New upstream release.
  * Tweak patches/program.patch to match new upstream code.
  * Bump standards version to 4.1.4.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 25 May 2018 01:07:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cproto.sourceforge.net/
 Build-Depends: debhelper (>= 9), bison, flex, autotools-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 4.1.3.0
+Standards-Version: 4.1.4.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7o

=== debian/changelog ===
cproto (4.7o-7) unstable; urgency=medium

  * Accept Linitan cleanup from Debian Janitor <janitor@jelmer.uk>.
    - Trim trailing whitespace
    - Use secure URI in Homepage field
    - Move source package lintian overrides to debian/source

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 07 Dec 2019 15:35:51 +0000

cproto (4.7o-6) unstable; urgency=medium

  * Bump standards version to 4.4.0.1 (no packaging changes).
  * Move to debhelper compatibility level 12.
    - Update debian/control to build depend on debhelper-compat (= 12)
    - Remove debian/compat, which is no longer needed
    - Adjust debian/rules to invoke dh using --without autoreconf
    - Manually update configure to support --runstatedir
    - Remove Build-Depends on autotools-dev, per lintian warning

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Aug 2019 16:22:41 +0000

cproto (4.7o-5) unstable; urgency=medium

  * Change homepage listed in debian/control.
  * Remove debian/watch and add override in debian/source.lintian-overrides.
    - This is required because uscan no longer works
    - The upstream source is valid but no longer allows directory listings

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 11:17:24 +0000

cproto (4.7o-4) unstable; urgency=medium

  * Fix the debwatch URL, which was no longer working.
  * Make testing improvements, including contributions from Ondřej Nový:
    - Use AUTOPKGTEST_ vars instead of ADT_ in test suite

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 09:47:56 +0000

cproto (4.7o-3) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).
  * Convert to correct https copyright file URI.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 18:00:59 +0000

cproto (4.7o-2) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Aug 2018 01:50:52 +0000

cproto (4.7o-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 30 May 2018 00:54:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
-Homepage: http://cproto.sourceforge.net/
-Build-Depends: debhelper (>= 9), bison, flex, autotools-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 4.1.4.0
+Homepage: https://invisible-island.net/cproto/cproto.html
+Build-Depends: debhelper-compat (= 12), bison, flex, dpkg-dev (>= 1.16.1)
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git
 
@@ -17,4 +17,3 @@
  definitions between the old style and the ANSI C style.  This
  conversion overwrites the original files, so make a backup copy of
  your files in case something goes wrong.
-

=== debian/tests/control ===
# Execute the upstream unit tests using a modified test runner
Tests: unittest
Depends: @, diffutils, gcc

## cproto 4.7p

=== debian/changelog ===
cproto (4.7p-1) unstable; urgency=medium

  * New upstream release.
  * Remove runstatedir.patch, which is integrated upstream now.
  * Adjust program.patch to match new upstream code.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 17 Jul 2020 13:08:41 +0000

cproto (4.7o-8) unstable; urgency=medium

  * Bump standards version to 4.5.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Jun 2020 18:00:00 +0000

## cproto 4.7q

=== debian/changelog ===
cproto (4.7q-2) unstable; urgency=medium

  * Package cleanup based on a review at qa.debian.org.
    - Update debian/control to move to debhelper-compat (= 13)
    - Update debian/control to set Rules-Requires-Root: no
    - Add Lintian override for upstream-metadata-file-is-missing

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 21:06:01 +0000

cproto (4.7q-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Oct 2020 15:44:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://invisible-island.net/cproto/cproto.html
-Build-Depends: debhelper-compat (= 12), bison, flex, dpkg-dev (>= 1.16.1)
-Standards-Version: 4.4.0.1
+Build-Depends: debhelper-compat (= 13), bison, flex, dpkg-dev (>= 1.16.1)
+Rules-Requires-Root: no
+Standards-Version: 4.5.0.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7r

=== debian/changelog ===
cproto (4.7r-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.5.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2021 22:58:57 +0000

## cproto 4.7s

=== debian/changelog ===
cproto (4.7s-1) unstable; urgency=medium

  * New upstream release.
    - Includes fixes for FTBFS with gcc-11 (closes: #984023)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Mar 2021 02:06:41 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://invisible-island.net/cproto/cproto.html
 Build-Depends: debhelper-compat (= 13), bison, flex, dpkg-dev (>= 1.16.1)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0.0
+Standards-Version: 4.5.1.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7t

=== debian/changelog ===
cproto (4.7t-2) unstable; urgency=medium

  * Bump standards version to 4.6.1.0 (no packaging changes).
  * Update copyright year for Debian contributions in debian/copyright.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2022 22:20:48 +0000

cproto (4.7t-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year for Debian contributions in debian/copyright.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 02 Dec 2021 20:04:03 +0000

cproto (4.7s-3) unstable; urgency=medium

  * Anticipate package cleanup from Debian Janitor.
    - Remove constraints unnecessary since buster
    - Build-Depends: Drop versioned constraint on dpkg-dev

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 24 Sep 2021 19:38:08 +0000

cproto (4.7s-2) unstable; urgency=medium

  * Bump standards version to 4.6.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 18 Aug 2021 16:03:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://invisible-island.net/cproto/cproto.html
-Build-Depends: debhelper-compat (= 13), bison, flex, dpkg-dev (>= 1.16.1)
+Build-Depends: debhelper-compat (= 13), bison, flex
 Rules-Requires-Root: no
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7u

=== debian/changelog ===
cproto (4.7u-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 17 Oct 2022 00:45:23 +0000

## cproto 4.7v

=== debian/changelog ===
cproto (4.7v-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.2.0 (no packaging changes).
  * Add lintian override for source-contains-autogenerated-gperf-data.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 04 Mar 2023 02:48:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://invisible-island.net/cproto/cproto.html
 Build-Depends: debhelper-compat (= 13), bison, flex
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7w

=== debian/changelog ===
cproto (4.7w-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 12 Jul 2024 13:23:03 +0000

cproto (4.7v-2) unstable; urgency=medium

  * New release for trixie.
  * Update copyright year for Debian contributions in debian/copyright.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 17 Feb 2024 15:50:39 +0000

## cproto 4.7x

=== debian/changelog ===
cproto (4.7x-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.7.0.0 (no packaging changes).
  * Update copyright year for Debian contributions in debian/copyright.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 02 Jan 2025 02:30:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://invisible-island.net/cproto/cproto.html
 Build-Depends: debhelper-compat (= 13), bison, flex
 Rules-Requires-Root: no
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

## cproto 4.7y

=== debian/changelog ===
cproto (4.7y-1) unstable; urgency=medium

  * New upstream release.
    - Improve manpage discussion of limitations when using cproto's built-in
      support for C preprocessor directives (closes: #1112126)
  * Bump standards version to 4.7.2.0 (no packaging changes).
  * Update debian/copyright to reflect latest upstream dates and license text.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 02 Sep 2025 00:47:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://invisible-island.net/cproto/cproto.html
 Build-Depends: debhelper-compat (= 13), bison, flex
 Rules-Requires-Root: no
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cproto
 Vcs-Git: https://salsa.debian.org/debian/cproto.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --without autoreconf
 
 override_dh_installdocs:
 	dh_installdocs README
@@ -19,4 +19,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	sh debian/smoketest
 endif
-
